Bug 1272258 - UI: Missing partial error when trying to view a Request
UI: Missing partial error when trying to view a Request
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Harpreet Kataria
Jeff Teehan
: ZStream
Depends On:
Blocks: 1272484
  Show dependency treegraph
 
Reported: 2015-10-15 18:04 EDT by Harpreet Kataria
Modified: 2015-12-08 08:38 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1272484 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:38:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 12:58:09 EST

  None (edit)
Description Harpreet Kataria 2015-10-15 18:04:48 EDT
Description of problem: UI: Missing partial error when trying to view a Request


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Going to Request summary screen
2. Requests that have a dialog with DialogFieldDateControl field blows up

Actual results:
[----] F, [2015-10-15T18:00:46.168749 #12617:d8b990] FATAL -- : Error caught: [ActionView::MissingTemplate] Missing partial shared/dialogs/_dialog_field_date_and_date_time_control.haml with {:locale=>[:en], :formats=>[:html], :variants=>[], :handlers=>[:erb, :builder, :raw, :ruby, :haml, :jbuilder, :rjs]}. Searched in:
  * "/home/hkataria/dev/manageiq/app/views"

/home/hkataria/.rvm/gems/ruby-2.2.2/gems/actionview-4.2.4/lib/action_view/path_set.rb:46:in `find'
/home/hkataria/.rvm/gems/ruby-2.2.2/gems/actionview-4.2.4/lib/action_view/lookup_context.rb:121:in `find'
/home/hkataria/.rvm/gems/ruby-2.2.2/gems/actionview-4.2.4/lib/action_view/renderer/partial_renderer.rb:418:in `find_template'
/home/hkataria/.rvm/gems/ruby-2.2.2/gems/actionview-4.2.4/lib/action_view/renderer/partial_renderer.rb:413:in `find_partial'
/home/hkataria/.rvm/gems/ruby-2.2.2/gems/actionview-4.2.4/lib/action_view/renderer/partial_renderer.rb:294:in `render'
/home/hkataria/.rvm/gems/ruby-2.2.2/gems/actionview-4.2.4/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/home/hkataria/.rvm/gems/ruby-2.2.2/gems/actionview-4.2.4/lib/action_view/renderer/renderer.rb:21:in `render'
/home/hkataria/.rvm/gems/ruby-2.2.2/gems/actionview-4.2.4/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/home/hkataria/.rvm/gems/ruby-2.2.2/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/home/hkataria/dev/manageiq/app/views/shared/dialogs/_dialog_field.html.haml:28:in `_app_views_shared_dialogs__dialog_field_html_haml__3833387190166542322_50073060'


Expected results: Should load Request summary screen.


Additional info:
Comment 3 CFME Bot 2015-10-16 14:30:20 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a5453147249a705caf4d99392b415a70a5413b5e

commit a5453147249a705caf4d99392b415a70a5413b5e
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Oct 15 13:25:54 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Oct 16 14:00:48 2015 -0400

    Fixed typo in partial name
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1272258

 app/views/shared/dialogs/_dialog_field.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 4 CFME Bot 2015-10-22 10:18:28 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=c64da248b240fa4261f28bd61316ca414fc15779

commit c64da248b240fa4261f28bd61316ca414fc15779
Merge: 5d91d99 27eb9ca
Author:     Oleg Barenboim <obarenbo@redhat.com>
AuthorDate: Thu Oct 22 10:17:48 2015 -0400
Commit:     Oleg Barenboim <obarenbo@redhat.com>
CommitDate: Thu Oct 22 10:17:48 2015 -0400

    Merge branch '54z_bz_1272484' into '5.4.z'
    
    Fixed typo in partial name
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1272258
    https://bugzilla.redhat.com/show_bug.cgi?id=1272484
    
    @dclarizi please review, clean patch applied.
    original PR: https://github.com/ManageIQ/manageiq/pull/4903
    
    See merge request !296
Comment 5 Jeff Teehan 2015-11-04 17:33:28 EST
Recreated Request parameters on 5.5.0.9 as describe above.  The summary page displayed without any issue.

Using 5.5.0.9 on https://10.16.6.43/miq_request/show_list#

Moving to Verified.
Comment 6 Jeff Teehan 2015-11-04 17:44:36 EST
Here's the request with the Date Control dialog.
https://10.16.6.43/miq_request/show/115r4
Comment 8 errata-xmlrpc 2015-12-08 08:38:52 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.